package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFER5 extends MwfRequest<MWFER5, MWFER5Response> {

    @Parameter(name = "APP_KEY")
    MWFER5 appKey(Long appKey);
    @Parameter(name = "CNL_ID")
    MWFER5 cnlId(String cnlId);
    @Parameter(name = "CONSULTANT_EMPR_ICO")
    MWFER5 consultantEmprIco(String consultantEmprIco);
    @Parameter(name = "CONSULTANT_EMPR_NAME")
    MWFER5 consultantEmprName(String consultantEmprName);
    @Parameter(name = "CONSULTANT_ID")
    MWFER5 consultantId(String consultantId);
    @Parameter(name = "CONSULTANT_MTS_ID")
    MWFER5 consultantMtsId(String consultantMtsId);
    @Parameter(name = "DOC_INST_KEY")
    MWFER5 docInstKey(Long docInstKey);
    @Parameter(name = "EMP_PROCESS_ROLE_ID")
    MWFER5 empProcessRoleId(String empProcessRoleId);
    @Parameter(name = "EMP_ROLE_ID")
    MWFER5 empRoleId(String empRoleId);
    @Parameter(name = "EMP_ROLE_KEY")
    MWFER5 empRoleKey(Long empRoleKey);
    @Parameter(name = "EMP_SSO")
    MWFER5 empSso(String empSso);
    @Parameter(name = "FAMILY_NAME")
    MWFER5 familyName(String familyName);
    @Parameter(name = "FIRST_NAME")
    MWFER5 firstName(String firstName);
    @Parameter(name = "POS_ID")
    MWFER5 posId(String posId);
    @Parameter(name = "PRIM_FLAG")
    MWFER5 primFlag(Long primFlag);
    @Parameter(name = "SALESMAN_STAMP_FLAG")
    MWFER5 salesmanStampFlag(Long salesmanStampFlag);
}
